// Dilation.h
// Chris Pocock 2014

#ifndef DILATION_H_
#define DILATION_H_

#include <opencv/cv.h>
#include <opencv/highgui.h>

using namespace cv;

class Dilation {

private:

	// Class variables
	int dilation_type;
	int dilation_elem;
	int dilation_size;
	Mat kernel_dil;
	int max_elem;
	int max_kernel_size;

public:

	// Class methods
	Dilation();
	virtual ~Dilation();
	void setupUi();
	void update();
	Mat dilate(Mat& input);
};

#endif
